Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::GlRect Class Reference
GlEntities

This is a general class for the rendering of 2D rectangles. More...

`#include <GlRect.h>`

Inheritance diagram for tlp::GlRect:
[legend]
Collaboration diagram for tlp::GlRect:
[legend]

List of all members.

## Public Member Functions

- GlRect (const Coord &topLeftPos, const Coord &bottomRightPos, const Color &topLeftCol, const Color &bottomRightCol, bool filled=true, bool outlined=false)
- GlRect (const Coord &center, const Size &size, const Color &fillColor, const Color &outlineColor)
- GlRect (bool filled=true, bool outlined=false)
- virtual ~GlRect ()
- virtual Coord getCenter ()
- void setCenterAndSize (const Coord &center, const Size &size)
- virtual Coord getTopLeftPos ()
- virtual Coord getBottomRightPos ()
- virtual Color getTopLeftColor ()
- virtual Color getBottomRightColor ()
- virtual void setTopLeftPos (const Coord &topLeftPos)
- virtual void setBottomRightPos (const Coord &bottomRightPos)
- virtual void setTopLeftColor (const Color &topLeftCol)
- virtual void setBottomRightColor (const Color &bottomRightCol)
- bool inRect (double x, double y)
- virtual void getXML (xmlNodePtr rootNode)
- virtual void setWithXML (xmlNodePtr rootNode)
- virtual void draw (float lod, Camera *camera)

## Detailed Description

This is a general class for the rendering of 2D rectangles.

This class is used as a 2D HUD for the rendering of 2D rectangles.

## Constructor & Destructor Documentation

tlp::GlRect::GlRect | ( | const Coord & | topLeftPos,
|  | const Coord & | bottomRightPos,
|  | const Color & | topLeftCol,
|  | const Color & | bottomRightCol,
|  | bool | filled = `true`,
|  | bool | outlined = `false`
| ) |  |

Constructor : with topLeft/bottomRight coords, topLeft/bottomRight colors and if GlRect is filled/outlined

tlp::GlRect::GlRect | ( | const Coord & | center,
|  | const Size & | size,
|  | const Color & | fillColor,
|  | const Color & | outlineColor
| ) |  |

Constructor : with center coords and size, fill color and outline color

tlp::GlRect::GlRect | ( | bool | filled = `true`,
|  | bool | outlined = `false`
| ) |  |

Constructor : with GlRect is filled/outlined

virtual tlp::GlRect::~GlRect | ( |  | ) | `[virtual]`

Destructor

## Member Function Documentation

virtual void tlp::GlRect::draw | ( | float | lod,
|  | Camera * | camera
| ) |  | `[virtual]`

Draw the GlRect

Reimplemented from tlp::GlAbstractPolygon.

Reimplemented in tlp::Gl2DRect.

virtual Color tlp::GlRect::getBottomRightColor | ( |  | ) | `[virtual]`

Accessor in reading to the Bottom Right Corner Color of the Rectangle

virtual Coord tlp::GlRect::getBottomRightPos | ( |  | ) | `[virtual]`

Accessor in reading to the Bottom Right Corner of the rectangle

virtual Coord tlp::GlRect::getCenter | ( |  | ) | `[virtual]`

Accessor in reading to the Top Left Corner of the rectangle

virtual Color tlp::GlRect::getTopLeftColor | ( |  | ) | `[virtual]`

Accessor in reading to the Top Left Corner Color of the rectangle

virtual Coord tlp::GlRect::getTopLeftPos | ( |  | ) | `[virtual]`

Accessor in reading to the Top Left Corner of the rectangle

virtual void tlp::GlRect::getXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

Function to export data in XML

Reimplemented from tlp::GlAbstractPolygon.

Reimplemented in tlp::Gl2DRect.

bool tlp::GlRect::inRect | ( | double | x,
|  | double | y
| ) |  |

Is the point in the rectangle ?

virtual void tlp::GlRect::setBottomRightColor | ( | const Color & | bottomRightCol | ) | `[virtual]`

Accessor in writing to the Bottom Right Corner Color of the rectangle

virtual void tlp::GlRect::setBottomRightPos | ( | const Coord & | bottomRightPos | ) | `[virtual]`

Accessor in writing to the Bottom Right Corner Color of the rectangle

void tlp::GlRect::setCenterAndSize | ( | const Coord & | center,
|  | const Size & | size
| ) |  |

Set the center and the size of the GlRect

virtual void tlp::GlRect::setTopLeftColor | ( | const Color & | topLeftCol | ) | `[virtual]`

Accessor in writing to the Top Left Corner of the rectangle

virtual void tlp::GlRect::setTopLeftPos | ( | const Coord & | topLeftPos | ) | `[virtual]`

Accessor in writing to the Top Left Corner of the rectangle

virtual void tlp::GlRect::setWithXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

Function to set data with XML

Reimplemented from tlp::GlAbstractPolygon.

Reimplemented in tlp::Gl2DRect.

Tulip Software by LaBRI Visualization Team 2001 - 2012